Endpoints

Encorejob

POST /encoreJobs/{jobId}/cancel

Cancel an EncoreJob

Description

Cancels an EncoreJob with thw given JobId

Parameters
Path Parameters
Name Description Required Default Pattern

jobId

X

null

Return Type
Content Type
  • application/hal+json

Responses
Table 1. HTTP Response Codes
Code Message Datatype

200

OK

[String]

Samples

DELETE /encoreJobs/{id}

Description

delete-encorejob

Parameters
Path Parameters
Name Description Required Default Pattern

id

X

null

Return Type

-

Responses
Table 2. HTTP Response Codes
Code Message Datatype

204

No Content

<<>>

404

Not Found

<<>>

Samples

GET /encoreJobs/search/findByStatus

Finds EncoreJobs By Status

Description

Returns EncoreJobs according to the given Status

Parameters
Query Parameters
Name Description Required Default Pattern

status

-

null

page

Zero-based page index (0..N)

-

0

size

The size of the page to be returned

-

20

sort

Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported. [String]

-

null

Return Type
Content Type
  • application/hal+json

Responses
Table 3. HTTP Response Codes
Code Message Datatype

200

OK

PagedModelEncoreJob

404

Not Found

<<>>

Samples

GET /encoreJobs

Description

get-encorejob

Parameters
Query Parameters
Name Description Required Default Pattern

page

Zero-based page index (0..N)

-

0

size

The size of the page to be returned

-

20

sort

Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported. [String]

-

null

Content Type
  • application/hal+json

  • text/uri-list

  • application/x-spring-data-compact+json

Responses
Table 4. HTTP Response Codes
Code Message Datatype

200

OK

CollectionModelEntityModelEncoreJob

Samples

GET /encoreJobs/{id}

Description

get-encorejob

Parameters
Path Parameters
Name Description Required Default Pattern

id

X

null

Return Type
Content Type
  • application/hal+json

Responses
Table 5. HTTP Response Codes
Code Message Datatype

200

OK

EntityModelEncoreJob

404

Not Found

<<>>

Samples

PATCH /encoreJobs/{id}

Description

patch-encorejob

Parameters
Path Parameters
Name Description Required Default Pattern

id

X

null

Body Parameter
Name Description Required Default Pattern

body

EncoreJob

-

Return Type
Content Type
  • application/hal+json

Responses
Table 6. HTTP Response Codes
Code Message Datatype

200

OK

EntityModelEncoreJob

204

No Content

<<>>

Samples

POST /encoreJobs

Description

create-encorejob

Parameters
Body Parameter
Name Description Required Default Pattern

body

EncoreJob

-

Return Type
Content Type
  • application/hal+json

Responses
Table 7. HTTP Response Codes
Code Message Datatype

201

Created

EntityModelEncoreJob

Samples

PUT /encoreJobs/{id}

Description

update-encorejob

Parameters
Path Parameters
Name Description Required Default Pattern

id

X

null

Body Parameter
Name Description Required Default Pattern

body

EncoreJob

-

Return Type
Content Type
  • application/hal+json

Responses
Table 8. HTTP Response Codes
Code Message Datatype

200

OK

EntityModelEncoreJob

201

Created

EntityModelEncoreJob

204

No Content

<<>>

Samples

Queue

GET /queue

Get Queues

Description

Returns a list of queues (QueueItems)

Parameters
Return Type

array[QueueItem]

Content Type
  • application/hal+json

Responses
Table 9. HTTP Response Codes
Code Message Datatype

200

OK

List[QueueItem]

Samples

Models

AudioFile

Field Name Required Type Description Format

file

X

String

fileSize

X

Long

int64

format

X

String

type

X

String

audioStreams

List of AudioStream

duration

Double

double

overallBitrate

Long

int64

AudioStream

Field Name Required Type Description Format

bitrate

Long

int64

channels

X

Integer

int32

codec

String

duration

Double

double

format

String

samplingRate

Integer

int32

CollectionModelEntityModelEncoreJob

Field Name Required Type Description Format

_embedded

CollectionModelEntityModelEncoreJob__embedded

_links

Map of Link

CollectionModelEntityModelEncoreJobEmbedded

Field Name Required Type Description Format

encoreJobs

List of EntityModelEncoreJob

EncoreJob

Field Name Required Type Description Format

completedDate

Date

The time for when the EncoreJob was completed (fail or success)

date-time

createdDate

X

Date

The Creation date for the EncoreJob

date-time

cropTo

String

Crop output video to given aspect ratio

dar

String

The Display Aspect Ratio to use if the input is anamorphic. Overrides DAR found from input metadata (for corrupt video metadata)

debugOverlay

X

Boolean

Instruct Encore to overlay encoding metadata on the encoded video stream

endTime

Integer

Seek in video stream to given end time in ms (start time must currently be given)

int32

externalId

String

External id - for external backreference

filename

X

String

The input file that the EncoreJob should process

globalAudioFilters

X

List of [string]

List of FFmpeg filters to apply to all audio outputs

globalVideoFilters

X

List of [string]

List of FFmpeg filters to apply to all video outputs

id

X

UUID

The Encore Internal EncoreJob Identity

uuid

input

VideoFile

logContext

X

Map of [string]

Key/Values to append to the MDC log context

message

String

The exception message, if the EncoreJob failed

output

X

List of [object]

Analyzed models of the output files

outputFolder

X

String

A directory path to where the output should be written

padTo

String

Pad output video to given aspect ratio

priority

X

Integer

The queue priority of the EncoreJob

int32

profile

X

String

The name of the encoding profile to use

progress

X

Integer

The EncoreJob progress

int32

progressCallbackUri

URI

An url to which the progress status callback should be directed

uri

speed

Double

The Encoding speed of the job (compared to it's play speed/input duration)

double

startTime

Integer

Seek in video stream to given start time in ms (end time must currently be given)

int32

startedDate

Date

The time for when the EncoreJob was picked from the queue)

date-time

status

X

String

The Job Status

Enum: NEW, QUEUED, IN_PROGRESS, SUCCESSFUL, FAILED, CANCELLED,

thumbnailTime

Integer

Time in ms for when the thumbnail should be picked. Overrides profile configuration for thumbnails

int32

useFirstAudioStreams

Integer

Only the audio input streams up to the given value

int32

EntityModelEncoreJob

Field Name Required Type Description Format

_links

Map of Link

completedDate

Date

The time for when the EncoreJob was completed (fail or success)

date-time

createdDate

Date

The Creation date for the EncoreJob

date-time

cropTo

String

Crop output video to given aspect ratio

dar

String

The Display Aspect Ratio to use if the input is anamorphic. Overrides DAR found from input metadata (for corrupt video metadata)

debugOverlay

Boolean

Instruct Encore to overlay encoding metadata on the encoded video stream

endTime

Integer

Seek in video stream to given end time in ms (start time must currently be given)

int32

externalId

String

External id - for external backreference

filename

String

The input file that the EncoreJob should process

globalAudioFilters

List of [string]

List of FFmpeg filters to apply to all audio outputs

globalVideoFilters

List of [string]

List of FFmpeg filters to apply to all video outputs

id

UUID

The Encore Internal EncoreJob Identity

uuid

input

VideoFile

logContext

Map of [string]

Key/Values to append to the MDC log context

message

String

The exception message, if the EncoreJob failed

output

List of MediaFile

Analyzed models of the output files

outputFolder

String

A directory path to where the output should be written

padTo

String

Pad output video to given aspect ratio

priority

Integer

The queue priority of the EncoreJob

int32

profile

String

The name of the encoding profile to use

progress

Integer

The EncoreJob progress

int32

progressCallbackUri

URI

An url to which the progress status callback should be directed

uri

speed

Double

The Encoding speed of the job (compared to it's play speed/input duration)

double

startTime

Integer

Seek in video stream to given start time in ms (end time must currently be given)

int32

startedDate

Date

The time for when the EncoreJob was picked from the queue)

date-time

status

String

The Job Status

Enum: NEW, QUEUED, IN_PROGRESS, SUCCESSFUL, FAILED, CANCELLED,

thumbnailTime

Integer

Time in ms for when the thumbnail should be picked. Overrides profile configuration for thumbnails

int32

useFirstAudioStreams

Integer

Only the audio input streams up to the given value

int32

ImageFile

Field Name Required Type Description Format

file

X

String

fileSize

X

Long

int64

format

X

String

type

X

String

height

Integer

int32

width

Integer

int32

MediaFile

Analyzed models of the output files

Field Name Required Type Description Format

file

X

String

fileSize

X

Long

int64

format

X

String

type

X

String

PageMetadata

PagedModelEncoreJob

Field Name Required Type Description Format

_embedded

PagedModelEncoreJob__embedded

_links

Map of Link

page

PageMetadata

PagedModelEncoreJobEmbedded

Field Name Required Type Description Format

encoreJobs

List of EncoreJob

QueueItem

Field Name Required Type Description Format

created

X

Date

date-time

id

X

String

priority

X

Integer

int32

SubtitleFile

Field Name Required Type Description Format

file

X

String

fileSize

X

Long

int64

format

X

String

type

X

String

VideoFile

Field Name Required Type Description Format

file

X

String

fileSize

X

Long

int64

format

X

String

type

X

String

audioStreams

List of AudioStream

duration

Double

double

overallBitrate

Long

int64

videoStreams

List of VideoStream

VideoStream

Field Name Required Type Description Format

bitDepth

Integer

int32

bitrate

Long

int64

codec

X

String

displayAspectRatio

String

duration

X

Double

double

format

String

frameRate

X

String

height

X

Integer

int32

isInterlaced

X

Boolean

level

String

numFrames

X

Integer

int32

pixelFormat

String

profile

String

sampleAspectRatio

String

transferCharacteristics

String

width

X

Integer

int32